Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Rename

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Rename

Deprecated. The rename task is deprecated. Use move instead.

public class Rename
extends Task

Renames a file.

Author:
  haas@softwired.ch

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Rename()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Renames the file `src` to `dest`
`void` | `setDest(java.lang.String dest)` Deprecated. Sets the new name of the file.
`void` | `setReplace(java.lang.String replace)` Deprecated. Sets wheter an existing file should be replaced.
`void` | `setSrc(java.lang.String src)` Deprecated. Sets the file to be renamed.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rename

    public Rename()

  Deprecated.

Method Detail

### setSrc

    public void setSrc(java.lang.String src)

  Deprecated.
  Sets the file to be renamed.
  Parameters:
    `src` - the file to rename

### setDest

    public void setDest(java.lang.String dest)

  Deprecated.
  Sets the new name of the file.
  Parameters:
    `dest` - the new name of the file.

### setReplace

    public void setReplace(java.lang.String replace)

  Deprecated.
  Sets wheter an existing file should be replaced.
  Parameters:
    `replace` - `on`, if an existing file should be replaced.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Renames the file `src` to `dest`
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - The exception is thrown, if the rename operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.